#
# spec file for package python-joblib
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with test

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-joblib
Version:        0.11
Release:        lp150.1.2
Summary:        Lightweight pipelining: using Python functions as pipeline jobs
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/joblib/joblib
Source:         https://files.pythonhosted.org/packages/source/j/joblib/joblib-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pytest}
%endif
Recommends:     python-numpy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Joblib is a set of tools to provide lightweight pipelining in
Python. In particular, joblib offers:

  1. transparent disk-caching of the output values and lazy re-evaluation
     (memoize pattern)

  2. parallel computing

  3. logging and tracing of the execution

Joblib can handle large data and has specific optimizations for `numpy` arrays.


%prep
%setup -q -n joblib-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix} joblib
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/joblib-%{version}-py*.egg-info
%{python_sitelib}/joblib/

%changelog
* Thu Jan 11 2018 jengelh@inai.de
- Ensure neutrality of description.
* Mon May 22 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Run tests.
- Fix source URL.
- Update to version 0.11.
  * For a full changelog please see:
    https://github.com/joblib/joblib/blob/0.11/CHANGES.rst
* Sun May 24 2015 toddrme2178@gmail.com
- Disable non-functional documentation
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.7.1
  + MISC: capture meaningless argument (n_jobs=0) in Parallel
  + ENH Handles tuples, sets and Python 3's dict_keys type the same as
    lists. in pre_dispatch
  + ENH: fix function caching for IPython
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Feb  9 2013 p.drouand@gmail.com
- Update to version 0.7.0d
  * No changelog available
- Clean the specfile and remove .buildinfo file
* Wed Oct 10 2012 scorot@free.fr
- Add Group field in doc package for SLE 11
* Wed Sep  5 2012 toddrme2178@gmail.com
- Initial version
